# 1
```
INSERT INTO `ababin`.`MaterialType`
(`Title`,
`DefectedPercent`)
SELECT  DISTINCT  `material_import`.`Тип продукции`,0
FROM `ababin`.`material_import`;

INSERT INTO `ababin`.`Material`
    (`Title`,
     `CountInPack`,
     `Unit`,
     `CountInStock`,
     `MinCount`,
     `Cost`,
     `MaterialTypeID`)
SELECT 
    `material_import`.`Наименование продукции`,
    `material_import`.`Артикул`,
    'шт',
    `material_import`.`Количество человек для производства`,
    `material_import`.`Минимальная стоимость для агента`,
    `material_import`.`Номер цеха для производства`,
    MaterialType.ID
FROM 
    `ababin`.`material_import`, 
    `ababin`.MaterialType
WHERE 
    `material_import`.`Тип продукции`=MaterialType.Title;
```
# 2
```
INSERT INTO `ababin`.`ProductType`
(`Title`,
`DefectedPercent`)
SELECT  DISTINCT  `material_import`.`Тип продукции`,0
FROM `ababin`.`material_import`;

INSERT INTO `ababin`.`Product`
(`Title`,
`ProductTypeID`,
`ArticleNumber`,
`Description`,
`Image`,
`ProductionPersonCount`,
`ProductionWorkshopNumber`,
`MinCostForAgent`)
SELECT `material_import`.`Наименование продукции`,
	ProductType.ID,
    `material_import`.`Тип продукции`,
    `material_import`.`Артикул`,
    `material_import`.`Изображение`,
    `material_import`.`Количество человек для производства`,
    `material_import`.`Номер цеха для производства`,
    `material_import`.`Минимальная стоимость для агента`
FROM `ababin`.`material_import`,
     `ababin`.ProductType
WHERE
    `material_import`.`Тип продукции`=ProductType.Title;
```